Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::PrivateConnectionPolicy Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::PrivateConnectionPolicy:

[legend]
Collaboration diagram for RTCORBA::PrivateConnectionPolicy:

[legend]
List of all members.

## Public Types
typedef PrivateConnectionPolicy_ptr | _ptr_type
typedef PrivateConnectionPolicy_var | _var_type
## Public Methods
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
PrivateConnectionPolicy_ptr | _duplicate (PrivateConnectionPolicy_ptr obj)
PrivateConnectionPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PrivateConnectionPolicy_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| PrivateConnectionPolicy (void)
virtual | ~PrivateConnectionPolicy (void)
## Private Methods
| PrivateConnectionPolicy (const PrivateConnectionPolicy &)
void | operator= (const PrivateConnectionPolicy &)

## Member Typedef Documentation

typedef PrivateConnectionPolicy_ptr RTCORBA::PrivateConnectionPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef PrivateConnectionPolicy_var RTCORBA::PrivateConnectionPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

RTCORBA::PrivateConnectionPolicy::PrivateConnectionPolicy | ( | void |  | ) | `[protected]`

RTCORBA::PrivateConnectionPolicy::~PrivateConnectionPolicy | ( | void |  | ) | `[protected, virtual]`

RTCORBA::PrivateConnectionPolicy::PrivateConnectionPolicy | ( | const PrivateConnectionPolicy & |  | ) | `[private]`

## Member Function Documentation

RTCORBA::PrivateConnectionPolicy_ptr RTCORBA::PrivateConnectionPolicy::_duplicate | ( | PrivateConnectionPolicy_ptr | obj | ) | `[static]`

const char * RTCORBA::PrivateConnectionPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

virtual CORBA::Boolean RTCORBA::PrivateConnectionPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

PrivateConnectionPolicy_ptr RTCORBA::PrivateConnectionPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

PrivateConnectionPolicy_ptr RTCORBA::PrivateConnectionPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

void RTCORBA::PrivateConnectionPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean RTCORBA::PrivateConnectionPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

void RTCORBA::PrivateConnectionPolicy::operator= | ( | const PrivateConnectionPolicy & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp